Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.vmx
Class AbruptCompletion.Return

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  de.grogra.xl.vmx.AbruptCompletion
                      de.grogra.xl.vmx.AbruptCompletion.Return

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AbruptCompletion

    public static final class AbruptCompletion.Return

extends AbruptCompletion

An abrupt completion due to a `return`. The returned value is wrapped.

Author:
  Ole Kniemeyer
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.xl.vmx.AbruptCompletion
`AbruptCompletion.Break, AbruptCompletion.Nonlocal, AbruptCompletion.Return, AbruptCompletion.Throw`

Field Summary
`static int` | `LABEL`

Method Summary
`java.lang.Object` | `aget()` Returns the wrapped `Object` value.
`double` | `dget()` Returns the wrapped `double` value.
`void` | `dispose()` This method can be used to recycle this instance.
`float` | `fget()` Returns the wrapped `float` value.
`int` | `getLabel()`
`int` | `getTypeId()` Returns the `TypeId` of the wrapped value.
`int` | `iget()` Returns the wrapped value as an `int`.
`long` | `lget()` Returns the wrapped `long` value.
`void` | `vget()` Returns the wrapped `void` value.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LABEL

    public static final int LABEL

See Also:
  Constant Field Values

Method Detail

### aget

    public java.lang.Object aget()

  Returns the wrapped `Object` value. This may only be invoked if the wrapped value is of type `Object`. In addition, this instance is disposed by invocation of `dispose()`.

  Returns:
    the wrapped value

### dget

    public double dget()

  Returns the wrapped `double` value. This may only be invoked if the wrapped value is of type `double`. In addition, this instance is disposed by invocation of `dispose()`.

  Returns:
    the wrapped value

### dispose

    public void dispose()

  This method can be used to recycle this instance. If this instance is not needed any more, this method can be invoked in order to inform the VMXState that it may re-use this instance.

  Specified by:
    `dispose` in class `AbruptCompletion`

### fget

    public float fget()

  Returns the wrapped `float` value. This may only be invoked if the wrapped value is of type `float`. In addition, this instance is disposed by invocation of `dispose()`.

  Returns:
    the wrapped value

### getLabel

    public int getLabel()

  Specified by:
    `getLabel` in class `AbruptCompletion`

### getTypeId

    public int getTypeId()

  Returns the `TypeId` of the wrapped value.

  Returns:
    the `TypeId` of the wrapped value

### iget

    public int iget()

  Returns the wrapped value as an `int`. This may only be invoked if the wrapped value is of type `boolean`, `byte`, `short`, `char`, or `int`. In addition, this instance is disposed by invocation of `dispose()`.

  Returns:
    the wrapped value

### lget

    public long lget()

  Returns the wrapped `long` value. This may only be invoked if the wrapped value is of type `long`. In addition, this instance is disposed by invocation of `dispose()`.

  Returns:
    the wrapped value

### vget

    public void vget()

  Returns the wrapped `void` value. This may only be invoked if the wrapped value is of type `void`. In addition, this instance is disposed by invocation of `dispose()`.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD